package com.cool.store.mapper;

import com.cool.store.entity.SysMenuDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangchenbiao
 * @date 2023-06-08 04:38
 */
public interface SysMenuMapper {
    /**
     *
     * 默认插入方法，只会给有值的字段赋值
	 * 会对传进来的字段做判空处理，如果字段为空，则使用数据库默认字段或者null
     * dateTime:2023-06-08 04:38
     */
    int insertSelective(SysMenuDO record);

    /**
     *
     * 默认更新方法，根据主键更新，不会把null值更新到数据库，避免覆盖之前有值的
     * dateTime:2023-06-08 04:38
     */
    int batchUpdateMenu(@Param("recordList") List<SysMenuDO> recordList);

    List<SysMenuDO> selectMenuAll(@Param("list") List<Long> parentIds);

    Integer selectMaxSort();

    Integer batchDeleteMenu(@Param("list") List<Long> idList);
}